#!/usr/bin/perl

use strict;
use warnings;

use Test::More;
eval "use Test::Pod::Coverage 1.00";
plan skip_all => "Test::Pod::Coverage 1.00 required for testing POD coverage" if $@;

plan tests => 1;
pod_coverage_ok(
        "POEx::Clock",
        { also_private => [ qw( 
                   build_child child_error debug init kill_child
                   new query_child rebuild_child shutdown skew
                    ) ],
        },
        "POEx::Clock, ignoring private functions",
);

